Package Details: kmod-roccat 1.0.0-1

Git Clone URL: https://aur.archlinux.org/kmod-roccat.git (read-only)
Package Base: kmod-roccat
Description: Kernel module for the old kone ROCCAT device.
Upstream URL: http://roccat.sourceforge.net
Keywords: driver hardware kernel keyboard legacy mouse
Licenses: GPL
Conflicts: roccat-dkms
Submitter: kevku
Maintainer: aaronfischer
Last Packager: aaronfischer
Votes: 14
Popularity: 0.000000
First Submitted: 2010-09-29 18:42
Last Updated: 2015-06-13 19:11

Required by (25)

Sources (1)

Latest Comments

aaronfischer commented on 2014-09-30 20:25

Please note, that this package is no longer needed for the most devices. Please see my last comment on the roccat-tools package for more information.

aaronfischer commented on 2013-11-05 21:15

Kernel 3.11.x is needed up to now.

aaronfischer commented on 2013-10-21 10:59

Sure, I'll do it.

russo79 commented on 2013-10-21 08:47

Hi aaronmueller

I just disowned roccat-tools [1], since I changed my mouse and no longer have any Roccat devices.

Maybe you are interested in adopting that package.
A new version of roccat-tools has been published some days ago.

[1] https://aur.archlinux.org/packages/roccat-tools/

gran commented on 2013-09-11 22:03

Thank You ! :)

aaronfischer commented on 2013-09-04 10:16

New version.
WARNING: This kernel module works not with a 3.11 kernel. When the 3.11 kernel is available as an arch package, I will update this package too. In the meantime, adjust the PKGBUILD and change the source dir from 2.6.39_to_3.10 to 3.11_and_up.

aaronfischer commented on 2013-07-28 22:12

Thanks for your suggestions, monoloco and russo79. I've also put you as a contributor in the header.

monoloco commented on 2013-07-26 10:47

Hi aaron,

I believe the PKGBUILD should be changed so it does not hard code the kernel version for 2 main reasons.

1. When the kernel updates the package will be broken until you update it
2. People with patched kernels will not be able to build it (eg. linux-ck)

Here is the diff's I made to make it build on my computer (linux-3.10.3-1-ck)
PKGBUILD: http://pastie.org/8177525
kmod-roccat.install: http://pastie.org/8177489

The advantage with using `ls -v /lib/modules | grep -v extra | tail -n 1` is that you can build the package right after installing a new kernel version without needing a reboot for `uname -r` to state the newest kernel

russo79 commented on 2013-06-30 03:15

@aaraonmueller

The instructions in the .install file for this package should probably be changed.
It is no longer necessary to blacklist modules, so running mkinitcpio is no longer necessary.

The name of the modules to add to the /etc/modules-load.d/modules.conf file should also be updated.

russo79 commented on 2013-06-30 02:58

@unknown78

If you take a look here [1], you will see that the modules names have changed. They now have the same name that the kernel ones and another technique is used to override the kernel ones.

Modules roccat, roccat-common, arvo, isku, kone, koneplus, kovaplus, lua, pyra and savu are no longer used.
If you have those in your /usr/lib/modules/extramodules-3.9-ARCH/ directory, you should remove them.

You should also change the name of the modules to "autoload" in the /etc/modules-load.d/modules.conf

In your case, you should probably put hid-roccat and hid-roccat-lua in that file.


[1] https://sourceforge.net/p/roccat/news/2013/05/release-kmod-roccat-090/

All comments